package com.ruoyi.dz.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.dz.mapper.DzTeacherClassMapper;
import com.ruoyi.dz.domain.DzTeacherClass;
import com.ruoyi.dz.service.IDzTeacherClassService;

/**
 * 教师班级关系Service业务层处理
 *
 * @author ruoyi
 * @date 2025-09-12
 */
@Service
public class DzTeacherClassServiceImpl implements IDzTeacherClassService
{
    @Autowired
    private DzTeacherClassMapper dzTeacherClassMapper;

    /**
     * 查询教师班级关系
     *
     * @param id 教师班级关系主键
     * @return 教师班级关系
     */
    @Override
    public DzTeacherClass selectDzTeacherClassById(String id)
    {
        return dzTeacherClassMapper.selectDzTeacherClassById(id);
    }

    /**
     * 查询教师班级关系列表
     *
     * @param dzTeacherClass 教师班级关系
     * @return 教师班级关系
     */
    @Override
    public List<DzTeacherClass> selectDzTeacherClassList(DzTeacherClass dzTeacherClass)
    {
        return dzTeacherClassMapper.selectDzTeacherClassList(dzTeacherClass);
    }

    /**
     * 新增教师班级关系
     *
     * @param dzTeacherClass 教师班级关系
     * @return 结果
     */
    @Override
    public int insertDzTeacherClass(DzTeacherClass dzTeacherClass)
    {
        return dzTeacherClassMapper.insertDzTeacherClass(dzTeacherClass);
    }

    @Override
    public int insertBatch(List<DzTeacherClass> list) {
        return dzTeacherClassMapper.insertBatch(list);
    }

    /**
     * 修改教师班级关系
     *
     * @param dzTeacherClass 教师班级关系
     * @return 结果
     */
    @Override
    public int updateDzTeacherClass(DzTeacherClass dzTeacherClass)
    {
        return dzTeacherClassMapper.updateDzTeacherClass(dzTeacherClass);
    }

    /**
     * 批量删除教师班级关系
     *
     * @param ids 需要删除的教师班级关系主键
     * @return 结果
     */
    @Override
    public int deleteDzTeacherClassByIds(String[] ids)
    {
        return dzTeacherClassMapper.deleteDzTeacherClassByIds(ids);
    }

    /**
     * 删除教师班级关系信息
     *
     * @param id 教师班级关系主键
     * @return 结果
     */
    @Override
    public int deleteDzTeacherClassById(String id)
    {
        return dzTeacherClassMapper.deleteDzTeacherClassById(id);
    }
}
